/*

The following is intended to be an interface update for Acebloke's Exploder.
All notes are meant to be addressed to him, but maybe others can learn something.




THE SKIN

The confusing map HUD should be removed.  The buttons of the provided skin should
be used instead.  Buttons use verbs.  Some verbs will adjust the skin.  More details
can be found in mob.dm and the procs those verbs call.

Rooms should display their stats to those inside them and will need to be updated
when those stats change.

Likewise, the room handler should update the display of people whenever someone's
location changes.

The calls to update the interface should all work.  However, they will probably
need to be slapped into the procs that Exploder already has defined.

Please remove all unnecessary spam from the output control.



THE HELP FILE

I have cut down the help file considerably.  Mainly, the portions that described
the interface have been removed.  I used to include them as well, but skins should
be easy enough to navigate in the first place.  Otherwise, they've failed.  Besides,
the less there is too read, the less players will be intimidated.

I rephrased a lot too.  For instance, the game mode tips have been merged into the
objectives themselves and icon-specific notes have been changed to be independent of
theme/color.

I have also changed the look quite a bit with a CSS file.  The previous help file
had too many colors scattered about.  That left the reader's eyes with no place to
focus.




THE ICONS

A single theme has been provided with a new 80x80 pixel format that fits the larger
map offered by the skin.  In an effort to help the colorblind, each piece differs in
shape and each shape is displayed next to its owner's stats.  The labels are named
so you can change them with winset() later if you offer more themes.  Meanwhile, the
original SVG file is included if anything needs to be modified.

Left-click a turf to toggle its piece.  Right-click a turf to toggle its capture status.

*/