//	The 640x640 map fits nicely.
//	That leaves 80x80 pixels for the map's 8x8 tiles.

world/icon_size	= 80


//	Here are some free icons.  I only made one theme.
//	(Hence the absense of theme selection in the skin.)
//	I wanted to give each piece a different shape
//	in order to help those who are colorblind.
//
//	The font was created by Ray Larabie and is free for
//	commercial use as long as you're not ditributing the
//	font itself.  It's called Fragile Bombers.  Tee hee.


Piece
	parent_type				= /obj
	icon					= 'piece1.dmi'
	icon_state				= "1"
	mouse_opacity			= 0
	var/global/list/gPics	= list('piece1.dmi','piece2.dmi','piece3.dmi','piece4.dmi')
	proc
		Increment()
			var/N				= text2num(src.icon_state) + 1
			if (N <= 4)
				src.icon_state	= "[N]"
				return

			src.icon_state				= "1"
			var/index					= src.gPics.Find(src.icon) + 1
			if (index > src.gPics.len)	del src
			src.icon					= src.gPics[index]

turf
	icon			= 'square.dmi'
	mouse_opacity	= 2

	Click(location,control,params)
		//	Right click to change the capture states.
		params						= params2list(params)
		if ("right" in params)
			var
				list/states			= icon_states(src.icon)
				index				= states.Find(src.icon_state) + 1
			if (index > states.len)	index	= 1
			src.icon_state			= states[index]
			return

		//	Otherwise, increment a piece.
		//	If there isn't one, add one.
		var/Piece/P	= locate(/Piece) in src.contents
		if (P)		P.Increment()
		else		P	= new(src)

client
	show_popup_menus	= FALSE