#define	DEBUG

mob
	//	Remember to update the people grid when players leave.
	var/Room/room
	Del()
		src.room.Exited(src,TRUE)
		..()

	//	Output the help file and nationality.
	//	Tell the room to set it's interface.
	Login()
		..()
		src	<< browse('Exploder.css',"display=0")
		src	<< output('Exploder.html',"browser1")
		src	<< output(src.nation,"nationality")
		if (src.room)
			src.room.SetInterface(src.client)
		else
			var/Room/R	= gRoomList.rooms[1]
			R.Entered(src)

	/*
		Replace your HUD clicking with the following verbs.
		Most buttons are named after their verbs if you wish
		to use winset() on them.

		joinquit()
		start()

		These following two are for your map layouts.
		It looks like you might want to might want to
		change you input type from file to file|null
		to offer a cancel option.
			load()
			save()

		The objective and layout buttons are already set
		to use your current verbs.  They've been tested.
		However, you should remove the text spam and make
		sure to display the new objective in the "objective"
		label when it's updated.
	*/


	//	Votes are applied by inputing a player index.
	//	Illegal values remove votes.
	//	Votes can be displayed for any nuber of players.
	//	Illegal values simply won't be displayed.
	//	They're used to remove votes instead.
	var/vote	= 0//	This should be reset when entering a room.
	verb
		vote(Player as num)
			if (!src.room)	return
			src.vote		= Player
			src.room.DisplayScore()

	//	The choice of nationality should be displayed.
	//	Choose the nationality however you wish, but
	//	the skin provides a space within the button.
	var/nation	= "?"
	verb
		nationality()
			src.nation	= input(src, \
				"What nation shall you represent in the standings?", \
				"Select Nationality",src.nation) in list("?","Anywhere But Earth")
			src	<< output(src.nation,"nationality")

		//	I needed something to bulk up the nationality tab.
		//	I figured some more info on Elo ratings would help.
		//	You might want to edit the label where I described
		//	how they work though.
		standings()
			src	<< link("http://www.byond.com/games/Acebloke/Exploder&tab=scores")


	//	Read room.dm for notes on using winset() with the checkboxes.
	verb
		wrap()
			if (src.room)	src.room.ToggleExplosionWrapping(src)
		randomStart()
			if (src.room)	src.room.ToggleRandomStartingPlayer(src)

	//	I don't know why your say verb forbids the arrow keys from
	//	backtracking.  The following works.
	//
	//	For alternate text colors that match, try the hex value CC
	//	paired with 99 and/or 33.  BTW, icons help break text up.
	icon	= 'banner64x64.png'
	layer	= AREA_LAYER
	verb
		say(blah as text)
			gRoomList.GetClients()	<< output("\icon[src]<strong>[src]:</strong> [blah]","output1")




	//	Elo ratings are still displayed, but I'll leave their values up to you.
	proc
		GetElo()
			return "Elo #"


//	I'm hiding mob icons under the area icon. ;)
area
	icon	= 'black.dmi'
	layer	= AREA_LAYER+0.1