var/RoomList/gRoomList

world
	//	I don't know where Exploder's room handler is created.  I'll do it here.
	//	This demo's implementation doesn't matter, but:
	//		1.	Rooms should have a name to display.
	//		2.	The skin is defined to use specific panes
	//			depending on the number of players the room handles.
	//			(They are named players2, players3 and players4.)
	New()
		..()
		gRoomList	= new
		gRoomList.AddRoom( new/Room("2-Player Room #1","players2") )
		gRoomList.AddRoom( new/Room("2-Player Room #2","players2") )
		gRoomList.AddRoom( new/Room("2-Player Room #3","players2") )
		gRoomList.AddRoom( new/Room("2-Player Room #4","players2") )
		gRoomList.AddRoom( new/Room("3-Player Room","players3") )
		gRoomList.AddRoom( new/Room("4-Player Room","players4") )


RoomList

	//	Rooms and the people within them are displayed in the "people" grid.
	proc
		Display()
			//	Work with a list of clients to avoid "Bad Client" errors
			//	when using winset().
			var/list/viewers		= src.GetClients()
			if ( !length(viewers) )	return FALSE
			.						= TRUE

			//	Poll the rooms for their display text.
			var
				list/display	= list()
				Room/R
			for(R in src.rooms)	display	+= R.GetDisplay()

			//	Set the cells to clear out the old and make room for the new.
			//	(The following assumes 2 columns of data.)
			for(var/client/C in viewers)	winset(C,"people","cells=2x[viewers.len/2];")
			//	Display the data.
			var
				index
				column	= 1
			for(index = 1 to display.len)
				if (index%2)
					viewers	<< output(display[index],"people:1,[column]")
				else
					viewers	<< output(display[index],"people:2,[column]")
					column++




	//	Ignore my methods for faking Exploder's room handling.
	var/list/rooms
	New()
		src.rooms	= list()
	proc
		AddRoom(Room/R)
			if ( istype(R) )
				src.rooms	+= R
				return TRUE
			return FALSE
		GetClients()
			.								= list()
			for(var/Room/R in src.rooms)	.	+= R.GetClients()
